# Tax Collection Events

Tax Collection Events

Endpoint: POST Tax collection events
Version: 1.99.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Tax collection webhook type 
* TAX_COLLECTION.CREATED - Tax collection processing started successfully. 
* TAX_COLLECTION.FINALISED - Tax collection processing finalised successfully. 
* TAX_COLLECTION.CANCELLED - Tax collection processing cancelled successfully.
    Enum: "TAX_COLLECTION.CREATED", "TAX_COLLECTION.FINALISED", "TAX_COLLECTION.CANCELLED"

  - `object` (object, required)

  - `object.id` (string, required)
    Tax Collection Unique Identifier

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.type` (string, required)
    Type of the tax collection
* TAX_PREPAYMENT_DE - German preliminary lump-sum tax payment
* TAX_PAYMENT - Tax payment
    Enum: "TAX_PREPAYMENT_DE", "TAX_PAYMENT"

  - `object.collection_amount` (object, required)
    Total amount of taxes to be collected

  - `object.collection_amount.amount` (string, required)

  - `object.collection_amount.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
    Enum: "EUR", "GBP"

  - `object.processed_amount` (object, required)
    Processed amount details

  - `object.processed_amount.cash_balance` (object, required)
    Taxes collected from the cash balance

  - `object.processed_amount.cash_balance.amount` (string, required)

  - `object.processed_amount.cash_balance.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
    Enum: "EUR", "GBP"

  - `object.processed_amount.sell_to_cover` (object, required)
    Taxes collected by selling assets

  - `object.processed_amount.sell_to_cover.amount` (string, required)

  - `object.processed_amount.sell_to_cover.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
    Enum: "EUR", "GBP"

  - `object.processed_amount.offset_amount` (object, required)
    Taxes collected by offsetting automatic corrections

  - `object.processed_amount.offset_amount.amount` (string, required)

  - `object.processed_amount.offset_amount.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
    Enum: "EUR", "GBP"

  - `object.status` (string, required)
    Tax collection status 
* PROCESSING - The tax collection processing has started. 
* FINALISED - The tax collection has been processed successfully. 
* CANCELLED - The tax collection was cancelled.
    Enum: "PROCESSING", "FINALISED", "CANCELLED"

  - `object.account_group_id` (string)
    Account Group Unique Identifier

  - `object.instrument` (object)
    Instrument details

  - `object.instrument.uuid` (string, required)
    Instrument Unique Identifier

  - `object.instrument.isin` (string, required)
    International securities identification number defined by [ISO 6166](https://en.wikipedia.org/wiki/International_Securities_Identification_Number).

  - `object.references` (array)

  - `object.references.id` (string, required)
    Referenced Identifier

  - `object.references.type` (string, required)
    Type of the referenced identifier.
* EXTERNAL_TAX_TRANSACTION_ID - External tax transaction ID
    Enum: "EXTERNAL_TAX_TRANSACTION_ID"

  - `webhook_id` (string, required)
    Webhook unique identifier.


## Response 200 fields
